package com.nokia.sms.action;

import com.nokia.sms.sgip.message.DeliverMessage;
import com.nokia.sms.sgip.message.SgipMessage;
import com.nokia.sms.sgip.mo.server.Action;

import lombok.extern.slf4j.Slf4j;

@Slf4j
public class DeliverAction implements Action {

	public void execute(SgipMessage message) {
		if (message instanceof DeliverMessage) {
			// 如果是上行消息则做相应的处理，如入库等等
			DeliverMessage dMessage = (DeliverMessage) message;
			log.info("收到上行消息。内容为：" + dMessage.getMessageContent());
		}
	}

}
